Update metric
Partial update of metric fields. Only provided fields are updated.
Authorizations
API key for authentication
Path Parameters
22-character metric ID
^[a-zA-Z0-9]{22}$Body
Update metric request (partial update)
1 - 2001 - 1000Metric evaluation type.
METRIC_LLM_BINARY- Yes/no LLM evaluationMETRIC_CATEGORICAL- Multi-class classificationMETRIC_NUMERICAL_LLM_JUDGE- Numerical scoring (1-N)METRIC_AUDIO_LLM_BINARY- Audio-based yes/noMETRIC_AUDIO_LLM_CATEGORICAL- Audio-based classificationMETRIC_AUDIO_LLM_NUMERICAL- Audio-based scoringMETRIC_TOOLCALL- Tool/function call evaluationMETRIC_METADATA_FIELD- Extract metadata fieldMETRIC_TRANSCRIPT_REGEX- Regex pattern matchingMETRIC_PAUSE_ANALYSIS- Speech pause detection
METRIC_LLM_BINARY, METRIC_CATEGORICAL, METRIC_NUMERICAL_LLM_JUDGE, METRIC_AUDIO_LLM_BINARY, METRIC_AUDIO_LLM_CATEGORICAL, METRIC_AUDIO_LLM_NUMERICAL, METRIC_TOOLCALL, METRIC_METADATA_FIELD, METRIC_TRANSCRIPT_REGEX, METRIC_PAUSE_ANALYSIS 2 - 50 elementsData type for metadata field extraction
STRING, NUMBER, BOOLEAN agent, user x >= 0.5Inject OTel trace context into the LLM judge prompt during evaluation. Supported for LLM judge metric types only.
Override the LLM model used for metric evaluation. Set to null to revert to
the platform default. Use GET /v1/models/metric to list available models.
Not supported for audio metric types (METRIC_AUDIO_LLM_BINARY,
METRIC_AUDIO_LLM_CATEGORICAL, METRIC_AUDIO_LLM_NUMERICAL),
which always use the platform-default audio model.
Target condition for metric evaluation
- Option 1
- Option 2
Tags to associate with this metric. Null or omitted leaves tags unchanged. Pass [] to clear all tags.
["production"]Response
Metric updated
Metric resource

